"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UseContentEntriesListHookDecorator = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _react = require("react");
var _appHeadlessCms = require("@webiny/app-headless-cms");
var _hooks = require("../../hooks");
var UseContentEntriesListHookDecorator = exports.UseContentEntriesListHookDecorator = _appHeadlessCms.ContentEntryListConfig.ContentEntries.useContentEntriesList.createDecorator(function (originalHook) {
  return function RecordLockingUseContentEntriesList() {
    var value = originalHook();
    var recordLocking = (0, _hooks.useRecordLocking)();
    (0, _react.useEffect)(function () {
      if (!value.records) {
        return;
      }
      recordLocking.setRecords(value.folderId, value.modelId, value.records);
    }, [value.folderId, value.modelId, value.records, recordLocking]);
    return (0, _objectSpread2.default)((0, _objectSpread2.default)({}, value), {}, {
      records: recordLocking.records
    });
  };
});

//# sourceMappingURL=UseContentEntriesListHookDecorator.js.map